CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

            calibre-debug [opcións]

Varias interfaces de liña de comandos útiles para depurar calibre. Sen opcións, este comando inicia un intérprete de Python incorporado. Tamén pode executar o principal calibre GUI, o visor de libros electrónicos calibre e o editor calibre no modo de depuración.

Tamén contén interfaces para varios bits de calibre que non teñen ferramentas de liña de comandos dedicadas, como a subconfiguración de fontes, a ferramenta de diferenza de libros electrónicos, etc on.

Tamén pode usar calibre-debug para executar scripts autónomos. Para iso úsao así:

calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Todo despois do -- pásase ao guión. Tamén pode usar calibre-debug como un shebang nos guións, así:

#!/usr/bin/env -S calibre-debug -e -- --

Sempre que lle pases argumentos a calibre-debug que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

[OPCIÓNS]

    --add-simple-plugin
        Engada un complemento simple (por exemplo un complemento que consista nun só ficheiro .py), indicando a ruta ao ficheiro py que contén o código do complemento.

    --command, -c
        Executar código python.

    --debug-device-driver, -d
        Depurar a detección de dispositivos

    --default-programs
        (Des)rexistra calibre dende os programas predeterminados de Windows. --default-programs = (register|unregister)

    --diff
        Executar a ferramenta diff de calibre. Por exemplo: calibre-debug --diff file1 file2

    --edit-book
        Lanza a ferramenta ‘Editar libro’ de calibre en modo de depuración. Do mesmo xeito que con -g, usa -- para pasar argumentos de liña de ordes.

    --exec-file, -e
        Execute o código Python no ficheiro.

    --explode-book, -x
        Explota o libro no cartafol especificado. Uso: -x file.epub output_dir Exporta o libro como unha colección de ficheiros HTML e metadatos, que podes editar usando ferramentas de edición HTML estándar. Funciona con ficheiros EPUB, AZW3, HTMLZ e DOCX.

    --export-all-calibre-data
        Exporta todos os datos de calibre (libros/configuracións/complementos). Normalmente, pediráselle o cartafol de exportación e as bibliotecas para exportar. Tamén pode especificalos como argumentos da liña de comandos para omitir as preguntas. Use camiños absolutos para o cartafol de exportación e as bibliotecas. A palabra clave especial «todos» pode usarse para exportar todas as bibliotecas. Exemplos: calibre-debug --export-all-calibre-data # para uso interactivo calibre-debug --export-all-calibre-data /ruta/a/empty/export/carpeta /ruta/a/biblioteca/carpeta1 /ruta/a/biblioteca2 calibre-debug --export-all-calibre-data /export/folder all # exportar todas as bibliotecas coñecidas

    --gui, -g
        Executa a interface gráfica con depuración activada. A saída de depuración imprímese en stdout e stderr. Para pasar argumentos de liña de ordes usa -- seguido dos argumentos, por exemplo: calibre-debug -g -- /ruta/ao/libro-electrónico

    --gui-debug
        Executar a GUI con unha consola de depuración, rexistrando na ruta indicada. Só para uso interno, utilizar a opción -g para executar a GUI en modo depuración

    --help, -h
        mostrar esta mensaxe de axuda e saír

    --implode-book, -i
        Implosionar un libro previamente explotado. Uso: -i output_dir file.epub Importa o libro dos ficheiros de output_dir que debeu ser creado por unha chamada anterior a --explode-book. Asegúrese de especificar o mesmo tipo de ficheiro que se utilizou ao explotar.

    --import-calibre-data
        Importar datos de calibre exportados previamente

    --inspect-mobi, -m
        Analizar o ficheiro(s) MOBI na ruta(s) indicada

    --kepubify
        Converter o arquivo EPUB especificado a KEPUB sen realizar unha conversión completa. Isto é o que fai o controlador Kobo ao enviar arquivos ao dispositivo.

    --paths
        Mostrar as rutas necesarias para instalar o entorno de calibre

    --run-plugin, -r
        Executar un complemento que proporciona unha interface de liña de comandos. Por exemplo: calibre-debug -r "Nome do complemento" -- ficheiro1 --opci`ón1 Todo despois do `--`` pasarase ao complemento como argumentos.

    --run-test, -t
        Executa a(s) proba(s) nomeada(s). Use o valor especial «todos» para executar todas as probas. Se o nome da proba comeza cun punto, suponse que é un nome de módulo. Se o nome da proba comeza por @, suponse que é un nome de categoría.

    --run-without-debug
        Non executes coa marca DEBUG establecida

    --shutdown-running-calibre, -s
        Apagar unha instancia do Calibre en execución, de existir. Teña en conta que, se existen traballos en execución, estes cancelaranse en silencio, así que hai que utilizala con coidado.

    --subset-font, -f
        Subconfigure o tipo de letra especificado. Use -- despois desta opción para pasar a opción ao programa de subconxunto de fontes.

    --test-build
        Probar os módulos binarios na compilación

    --un-kepubify
        Converter o arquivo KEPUB especificado a EPUB sen realizar unha conversión completa. Isto é o que fai o controlador Kobo ao importar arquivos desde o dispositivo.

    --version
        mostrar o número de versión do programa e saír

    --viewer, -w
        Executa o visor de libros electrónicos en modo de depuración. Do mesmo xeito que con -g, usa -- para pasar argumentos de liña de ordes.

Author
Kovid Goyal

Copyright
Kovid Goyal